MarketOverviewService
Get Currency Conversion Rates
Get fiat units per USD and USD per stablecoin unit, grouped with source freshness.
Method
GET
Path
/v1/market/currency-conversion/rates
Visibility
Public endpoint
GET
/v1/market/currency-conversion/rates Request
Testnet
curl --request GET \ \ --url 'https://api.testnet.polyester.com/v1/market/currency-conversion/rates' \ --header 'Accept: */*'
Responses
{
"fiat": {
"rates": [
{
"code": "value",
"unitsPerUsd": "0.00000001"
}
],
"sourceTsSec": "1735689600",
"stale": false
},
"snapshotTsSec": "1735689600",
"stablecoins": [
{
"code": "value",
"sourceTsSec": "1735689600",
"stale": false,
"usdPerUnit": "0.00000001"
}
]
} 3 fields
2 fields
code string
Supported fiat currency code.
Example
value unitsPerUsd string
Fiat currency units per 1 USD as an exact decimal string.
Example
0.00000001 sourceTsSec string
Shared source observation time in seconds since the Unix epoch (UTC).
Example
1735689600 stale boolean
True once the source observation is at least two hours old.
Example
false snapshotTsSec string
Response construction time in seconds since the Unix epoch (UTC).
Example
1735689600 4 fields
code string
Supported stablecoin code (USDC or USDT).
Example
value sourceTsSec string
This stablecoin's source observation time in seconds since the Unix epoch (UTC).
Example
1735689600 stale boolean
True once this stablecoin's source observation is at least five seconds old.
Example
false usdPerUnit string
USD per 1 stablecoin unit as an exact decimal string.
Example
0.00000001| Key | Status | Error | When |
|---|---|---|---|
| unauthenticated | 401 | Unauthenticated | Authentication required. |
| permission-denied | 403 | Permission Denied | Permission denied. |
| invalid-argument | 400 | Invalid Argument | Invalid argument. |
| not-found | 404 | Not Found | Not found. |
| unavailable | 503 | Unavailable | Service unavailable. |